const soap = require('soap');

soap.createClientAsync("https://fx.currencysystem.com/webservices/CurrencyServer5.asmx?wsdl").then((client: any) => {
    // console.log(JSON.stringify(client.describe()));
    const ActiveCurrencies = client['ActiveCurrencies'];
    ActiveCurrencies(null, (err: any, result: any, envelope: any, header: any) => {
        // console.log("Envelope: " + envelope+"\n");
        // console.log("Header: " + header+"\n");
        console.log("Result: " + JSON.stringify(result));
    });
    const Convert = client['Convert'];
    Convert({
        fromCurrency: "EUR",
        toCurrency: "MAD",
        amount: 1,
        rounding: true,
        returnRate: "curncsrvReturnRateString"
    }, (err: any, result: any) => {
        console.log("Result: " + result.data);
    });
});
